Bug 739365 - No authentication dialog is shown and conection attempt fails when trying to connect from a script
Summary: No authentication dialog is shown and conection attempt fails when trying to ...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager-pptp
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-18 07:56 UTC by Nikolaus Waxweiler
Modified: 2012-08-07 16:04 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 16:04:53 UTC


Attachments (Terms of Use)

Description Nikolaus Waxweiler 2011-09-18 07:56:52 UTC
Description of problem:
Essentially the same as https://bugs.launchpad.net/ubuntu/+source/network-manager-openconnect/+bug/824255. I'm trying to automatically connect to a VPN service when connected to a specific WLAN network. I'm using the dispatcher script provided at http://wiki.ubuntuusers.de/NetworkManager/Dispatcher#VPN-netzwerkabhaengig-starten-und-automatischer-Reconnect-mittels-NetworkManager. This worked in the past, some update must have broken it.

Version-Release number of selected component (if applicable):
NetworkManager-pptp-0.9.0-1.fc15

How reproducible:
Use the abve dispatcher script and place it in /etc/NetworkManager/dispatcher.d

Steps to Reproduce:
1. Connect to specific WLAN network
  
Actual results:
From /var/log/messages:
Sep 18 01:28:13 nikolausmobil dbus: [system] Activating service name='org.freedesktop.nm_dispatcher' (using servicehelper)
Sep 18 01:28:13 nikolausmobil dbus: [system] Successfully activated service 'org.freedesktop.nm_dispatcher'
Sep 18 01:28:18 nikolausmobil NetworkManager[23223]: <info> Starting VPN service 'pptp'...
Sep 18 01:28:18 nikolausmobil NetworkManager[23223]: <info> VPN service 'pptp' started (org.freedesktop.NetworkManager.pptp), PID 23323
Sep 18 01:28:18 nikolausmobil NetworkManager[23223]: <info> VPN service 'pptp' appeared; activating connections
Sep 18 01:28:18 nikolausmobil NetworkManager[23223]: <info> VPN plugin state changed: 1
>>>> Sep 18 01:28:18 nikolausmobil NetworkManager[23223]: <error> [1316302098.933412] [nm-vpn-connection.c:865] get_secrets_cb(): Failed to request VPN secrets #2: (6) No agents were available for this request. <<<<
Sep 18 01:28:18 nikolausmobil NetworkManager[23223]: <info> Policy set 'specified_network (automatisch)' (wlan0) as default for IPv4 routing and DNS.
Sep 18 01:28:18 nikolausmobil nm-dispatcher.action: Script '/etc/NetworkManager/dispatcher.d/20-legoland1' exited with error status 4.

Note: Clicking on that VPN connection in the nm-applet in GNOME3 works as expected.

Expected results:
Automatic connect.

Comment 1 Yaniv Kaul 2011-10-03 18:10:59 UTC
Same here, similar log:
[14306.216295] NetworkManager[958]: <info> Starting VPN service 'vpnc'...
[14306.235980] NetworkManager[958]: <info> VPN service 'vpnc' started (org.freedesktop.NetworkManager.vpnc), PID 14473
[14306.344616] tun: Universal TUN/TAP device driver, 1.6
[14306.344619] tun: (C) 1999-2004 Max Krasnyansky <maxk@qualcomm.com>
[14306.355033] NetworkManager[958]: <info> VPN service 'vpnc' appeared; activating connections
[14306.364553] NetworkManager[958]: <info> VPN plugin state changed: 1
[14306.376013] NetworkManager[958]: <error> [1317665118.266383] [nm-vpn-connection.c:882] get_secrets_cb(): Failed to request VPN secrets #2: (6) No agents were available for this request.
[14306.382221] NetworkManager[958]: <info> Policy set 'Auto KaulTP' (wlan0) as default for IPv4 routing and DNS.
[14312.014359] NetworkManager[958]: <info> VPN service 'vpnc' disappeared

No idea what happened, it worked this morning. Packages updated since:
Oct 03 13:50:30 Installed: rfkill-0.4-4.fc15.x86_64
Oct 03 13:56:24 Updated: 2:tar-1.26-2.fc15.x86_64
Oct 03 13:56:25 Updated: grubby-7.0.16-5.fc15.x86_64

I've also installed powertop and played with its setting. But the WiFi is working fine.

[ykaul@ykaul wireshark]$ rpm -qa |grep NetworkManager
NetworkManager-glib-0.9.1.90-1.git20110927.fc15.x86_64
NetworkManager-gtk-0.9.1.90-1.git20110927.fc15.x86_64
NetworkManager-gnome-0.9.1.90-1.git20110927.fc15.x86_64
NetworkManager-0.9.1.90-1.git20110927.fc15.x86_64
NetworkManager-openvpn-0.9.0-1.fc15.x86_64
NetworkManager-vpnc-0.9.0-1.fc15.x86_64

Comment 2 Fedora End Of Life 2012-08-07 16:04:55 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.